﻿/* Type ahead search */
/* Style for the ul element inside .result-box */


.search-bar-wrapper:focus-within {
    color: var(--bs-body-color);
    background-color: var(--bs-body-bg);
    border-color: #86b7fe;
    outline: 0;
    box-shadow: 0 0 0 .25rem rgba(13, 110, 253, .25);
}

#APPLY {
    background-color: var(--bs-body-bg);
    border: none !important;
    height: 50px;
    margin-right: 0px;
}

#search-exhibitors {
    border: none !important;
    height: 50px;
    margin-left: 0px;
}

    #search-exhibitors:focus {
        outline: none;
        background-color: initial;
        box-shadow: none;
    }

.search-wrapper {
    width: 250px;
}
.search-bar-wrapper {
    width: 100%;
    position: relative;
    display: inline-flex;
    vertical-align: middle;
}

#results-ul {
    padding-left: 0px;
}

.results-ul {
    padding-left: 0px;
    position: absolute;
    background-color: white;
    top: 100%;
    width: 100%;
    list-style: none;
    padding-left: 0px !important;
    margin: 4px !important;
    z-index: 1000; /* Ensure it covers other elements */
    height: fit-content;
}

.result-box .results-li {
    background-color: white;
    width: 100%;
    list-style: none;
    border-radius: 3px;
    padding: 0.5rem !important;
    margin: 0px !important;
    cursor: pointer;
    z-index: 1000 !important; /* Ensure it covers other elements */
    height: fit-content;
   
}

.show-search {
    font-size: 12px;
}

.result-box #results-ul {
    position: absolute;
    background-color: white;
    width: 100%;
    list-style: none;
    border-top: 1px solid #999;
    padding-left: 0px !important;
    margin: 4px !important;
    z-index: -1;
    height: fit-content;
}


.active-li {
    background-color: aliceblue !important;
}


/* Hover effect for li elements inside .result-box */
.result-box li:hover {
    background-color: aliceblue;
}

/* Additional styles for specific classes */
.result-box .list-group.active {
    background-color: #3794d1;
    color: #fff;
}
